Page MenuHomePhabricator

'NoneType' object has no attribute 'status_message' when qrun doesn't exist
Closed, ResolvedPublic

Description

May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]: Traceback (most recent call last):
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "/srv/quarry/venv/lib/python3.5/site-packages/flask/app.py", line 2292, in wsgi_app
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     response = self.full_dispatch_request()
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "/srv/quarry/venv/lib/python3.5/site-packages/flask/app.py", line 1815, in full_dispatch_request
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     rv = self.handle_user_exception(e)
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "/srv/quarry/venv/lib/python3.5/site-packages/flask/app.py", line 1718, in handle_user_exception
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     reraise(exc_type, exc_value, tb)
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "/srv/quarry/venv/lib/python3.5/site-packages/flask/_compat.py", line 35, in reraise
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     raise value
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "/srv/quarry/venv/lib/python3.5/site-packages/flask/app.py", line 1813, in full_dispatch_request
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     rv = self.dispatch_request()
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "/srv/quarry/venv/lib/python3.5/site-packages/flask/app.py", line 1799, in dispatch_request
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     return self.view_functions[rule.endpoint](**req.view_args)
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:   File "./quarry/web/app.py", line 293, in run_status
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]:     'status': qrun.status_message,
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]: AttributeError: 'NoneType' object has no attribute 'status_message'
May 11 19:29:01 quarry-web-01 uwsgi-quarry-web[18825]: [2019-05-11 19:29:01,455] ERROR in app: Exception on /run/0/status [GET]

Event Timeline

Framawiki triaged this task as Low priority.May 11 2019, 7:30 PM
Framawiki created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2019, 7:30 PM

Change 509632 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[analytics/quarry/web@master] app: handle bad qrun_id in run_status()

https://gerrit.wikimedia.org/r/509632

Change 509632 merged by jenkins-bot:
[analytics/quarry/web@master] app: handle bad qrun_id in run_status()

https://gerrit.wikimedia.org/r/509632

Mentioned in SAL (#wikimedia-cloud) [2019-05-12T18:01:04Z] <wm-bot> framawiki: Deployed 3e25078 on -web-01 T223013

Framawiki closed this task as Resolved.May 12 2019, 6:01 PM